@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";
:host {
  width: 100%;
}

.parent-org {
  border-top: 1px solid $bg-border-top-org;
}

.main-unit-approved {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    &__custom-button-primary {
      border-radius: 8px;
      display: flex;
      align-items: flex-start;
      justify-content: center;
      padding: 10px 24px 10px 24px;
      font-size: 15px;
      min-height: 40px;
      background: $bt-primary-search;
      color: $bt-primary-default;
      font-weight: bold;
      border: none;
      min-width: 141px;
    }
    &__button-default {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      margin-left: 16px;
      color: $bt-primary-default;
      font-weight: bold;
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
  }
}
.main-unit-approved-card {
  margin-top: 12px;
  border-radius: 16px;
  &__row {
    align-items: flex-end;
    &--col {
      padding-left: 16px;
    }
    &--label {
      font-weight: bold;
    }
  }

  &__btn-search {
    border-radius: 8px;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding: 10px 24px 10px 24px;
    font-size: 15px;
    min-height: 40px;
    height: initial;
    background: $bt-primary-search;
    color: $primary-button-color;
    font-weight: bold;
    border: none;
    min-width: 174px;
  }
}

.approve-form {
  padding-top: 24px;
}

.content {
  ::ng-deep {
    .ant-input {
      border-radius: 4px !important;
      min-height: 40px;
    }
    .ant-select-selector {
      border-radius: 4px !important;
      min-height: 40px;
      display: flex;
      align-items: center;
    }
    .ant-select {
      width: 100%;
    }
    .ant-table-thead > tr > th {
      background: $bg-gray-new;
      font-weight: bold;
      font-size: 14px;
      line-height: 120%;
    }
    .ant-table-wrapper {
      padding-top: 24px;
    }
    .ant-table-tbody > tr > td {
      border-bottom: none;
    }
    .ant-table-container,
    .ant-table-container table > thead > tr:first-child th:last-child {
      border-top-right-radius: initial;
      border-top-left-radius: initial;
    }
    .ant-table {
      border-radius: 8px;
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background: $bg-primary-bg;
      }
      tr:hover {
        cursor: pointer;
      }
    }

    .ant-form-item {
      margin: 0px;
    }

    .ant-modal {
      min-width: 1366px !important;
      .label {
        font-weight: bold;
        border-bottom: 1px solid $bg-gray-new;
      }
      tr:hover {
        cursor: pointer;
      }
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background: $bg-gray-new !important;
      }
      td:hover {
        background: none;
      }
      .ant-table-tbody > tr > td {
        border-bottom: 1px solid $bg-gray-light !important;
      }
      .ant-divider {
        border-top: 1px solid $bg-gray-light;
      }
      .ant-pagination {
        margin-top: 0px;
      }
    }
  }
}

.modal-left {
  border-right: 1px solid $bg-gray-new;
  &__label {
    font-weight: bold;
    border-bottom: 1px solid $bg-gray-new;
    width: 100%;
  }
  &__tree {
    height: 700px;
    overflow: hidden;
    white-space: nowrap;
  }
  &__tree:hover {
    overflow: auto;
  }
  span:hover {
    cursor: pointer;
  }
}

.modal-right {
  padding-left: 24px;
  &__label {
    font-weight: bold;
    margin-bottom: 1rem;
  }
  &__search-input {
    align-items: center;
  }
  input {
    border-radius: 8px;
    min-height: 40px;
  }
  button {
    background: $bg-gray-new;
    color: $bg-primary-default;
    border-radius: 8px;
    padding: 10px 24px;
    display: flex;
    min-height: 40px;
    border-color: initial;
    border: initial;
    margin-left: 16px;
    font-weight: bold;
    align-items: center !important;
  }
}

.pagination {
  display: flex;
  margin-top: 16px;
  justify-content: space-between;
  padding-left: 1rem;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    padding-left: 1rem;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: $bg-gray-body;
    }
  }
}
.icon-close {
  border-radius: 50%;
  position: absolute;
  right: 0.5rem;
  top: 2.9rem;
  color: $white-color;
  font-size: 12px;
  background: $background-icon;
}
.position-relative {
  position: relative;
}
